# Usage

Consumption of a billable service or resource (such as database storage space or bundles of emails sent) provides the basis for some charge models - simple usage, tiered pricing, or volume pricing. 
To make this work, usage must be tracked in the system and usage charges must be calculated and invoiced. 
Usage is always billed in arrears - for example, you might bill customers in February for their January usage. Usage can be billed on a recurring monthly, quarterly, semi-annual, or annual basis.

 - [Note on dynamic pricing usage charges](https://developer.zuora.com/v1-api-reference/api/usage/note-on-dynamic-pricing-usage-charges.md): ### Note on dynamic pricing usage charges Legacy Billing Usage APIs (for example, "Upload a usage file" and the "CRUD: Create/Update/Delete a usage record" operations) can support usage records that
 - [POST /v1/usage](https://developer.zuora.com/v1-api-reference/api/usage/post_usage.md): This REST API reference describes how to post or import usage data for one or more accounts in the CSV format. There are no path or query parameters. The data is uploaded using the HTTP multipart/form
 - [GET /v1/invoices/invoice-item/{invoice-item-id}/usage-rate-detail](https://developer.zuora.com/v1-api-reference/api/usage/get_usage_rate_detail_by_invoice_item.md): Use this REST API operation to retrieve the usage rate detail for an invoice item to understand how the total amount is calculated. The information is the same as the Rate Detail presented on [PDF inv
 - [POST /v1/object/usage](https://developer.zuora.com/v1-api-reference/api/usage/object_postusage.md): Creates a usage record.
 - [DELETE /v1/object/usage/{id}](https://developer.zuora.com/v1-api-reference/api/usage/object_deleteusage.md): Deletes a usage record. Usage records that are associated with a dynamic pricing usage charge cannot be deleted with this legacy Billing endpoint. When a delete request targets such a record, the oper
 - [GET /v1/object/usage/{id}](https://developer.zuora.com/v1-api-reference/api/usage/object_getusage.md): Retrieve a usage record.
 - [PUT /v1/object/usage/{id}](https://developer.zuora.com/v1-api-reference/api/usage/object_putusage.md): Updates a usage record. Updating usage records that are associated with a dynamic pricing usage charge is not supported through this endpoint. The request fails and the record is not updated. Use Medi
